RGN 29 - RAPIDS v22.10.01 Hotfix Release

Author RAPIDS TPM
Status

In Progress

Topic Release Change
RAPIDS Version v22.10.01
Created 09 November 2022
Updated N/A

Overview

RAPIDS v22.10 was hotfixed to version v22.10.01 to update cuda-python and cupy dependencies.

Rationale

cuda-python version requirement was updated to >=11.7.1 to resolve errors on CPU-only machines or machines without CUDA installed. Additionally, the cupy dependency for pip packages was changed to cupy-cuda11x to resolve installation issues for some users.

Impact

All users are recommended to use the latest 22.10.01 version of rmm, cuDF, cuML, cuGraph, and cuGraph-ops.